Developer Documentation

Public Types | Public Member Functions | Private Attributes | List of all members
OpenVolumeMesh::Internal::CellEdgeIterImpl Class Reference
Inheritance diagram for OpenVolumeMesh::Internal::CellEdgeIterImpl:

## Public Types
typedef BaseCirculator< CellHandle, EdgeHandle > | BaseIter
typedef CellHandle | CenterEntityHandle
Public Types inherited from OpenVolumeMesh::BaseCirculator< CellHandle, EdgeHandle >
typedef BaseIterator< EdgeHandle > | BaseIter
Public Types inherited from OpenVolumeMesh::BaseIterator< EdgeHandle >
typedef std::bidirectional_iterator_tag | iterator_category
typedef int | difference_type
typedef const EdgeHandle | value_type
typedef const EdgeHandle * | pointer
typedef const EdgeHandle & | reference

## Public Member Functions
| CellEdgeIterImpl (const CellHandle &_ref_h, const TopologyKernel *_mesh, int _max_laps=1)
CellEdgeIterImpl & | operator++ ()
CellEdgeIterImpl & | operator-- ()
Public Member Functions inherited from OpenVolumeMesh::BaseCirculator< CellHandle, EdgeHandle >
| BaseCirculator (const TopologyKernel *_mesh, const CellHandle &_ih, const EdgeHandle &_oh, int _max_laps=1)
| BaseCirculator (const TopologyKernel *_mesh, const CellHandle &_ih, int _max_laps=1)
bool | operator== (const BaseCirculator &_c) const
bool | operator!= (const BaseCirculator &_c) const
bool | operator< (const BaseCirculator &_c) const
BaseCirculator & | operator= (const BaseCirculator &_c)
const CellHandle & | ref_handle () const
void | lap (int _lap)
int | lap () const
void | max_laps (int _max_laps)
int | max_laps () const
Public Member Functions inherited from OpenVolumeMesh::BaseIterator< EdgeHandle >
| BaseIterator (const TopologyKernel *_mesh, const EdgeHandle &_ch)
| BaseIterator (const TopologyKernel *_mesh)
bool | operator== (const BaseIterator &_c) const
bool | operator!= (const BaseIterator &_c) const
pointer | operator-> () const
reference | operator* () const
bool | operator< (const BaseIterator &_c) const
BaseIterator & | operator= (const BaseIterator &_c)
| operator bool () const
void | valid (bool _valid)
bool | valid () const
void | cur_handle (const EdgeHandle &_h)
reference | cur_handle () const
const TopologyKernel * | mesh () const

## Private Attributes
std::vector< EdgeHandle > | edges_
size_t | cur_index_

## Additional Inherited Members
Protected Attributes inherited from OpenVolumeMesh::BaseCirculator< CellHandle, EdgeHandle >
int | lap_
int | max_laps_
CellHandle | ref_handle_

## Detailed Description

Definition at line 1355 of file Iterators.hh.

The documentation for this class was generated from the following files:

- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.hh
- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.cc